REM ################## TI3/4   ##################
REM ******* Change this version number related to
REM ******* AIP46MCH.HEX file
REM *******
SET AIP46MCHECVER=4D

REM ################## TI5/6/7 ##################
REM ******* Change this version number related to
REM ******* AIP46MCD.HEX file
REM *******
SET AIP46MCDECVER=4D

REM ################## TI8/9   ##################
REM ******* Change this version number related to
REM ******* AIP46TI8.HEX file
REM ******* 
SET AIP46TI8ECVER=75

REM ################## 2XR/1NR ##################
REM ******* Change this version number related to
REM ******* AIP46V4.HEX file
REM *******
SET AIP46V4ECVER=0D
SET AIP46V4ECREV=01



REM ################## Static Variables ##################
@ECHO OFF
SET AIP46MCH=aip46mch.hex
SET AIP46MCD=aip46mcd.hex
SET AIP46TI8=aip46ti8.hex
SET AIP46V4=aip46v4.hex

SET INSTALLPATH=utilities\flash\4610_Microcode\
SET ANCHOR=img1a.sys

:FINDMK
cls
ECHO IBM Retail Store Solutions Diagnostics update.
ECHO.
ECHO Files to install:
ECHO -------------------------------
ECHO Filename         Level
ECHO -------------------------------

ECHO %AIP46MCH%     %AIP46MCHECVER%
ECHO %AIP46MCD%     %AIP46MCDECVER%
ECHO %AIP46TI8%     %AIP46TI8ECVER%
ECHO %AIP46V4%      %AIP46V4ECVER%.%AIP46V4ECREV% 
ECHO.


SET DRIVE=D:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=E:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=F:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=G:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=H:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=I:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=J:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=K:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=L:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=M:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=N:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=O:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=P:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=Q:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=R:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=S:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=T:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=U:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=V:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=W:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=X:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=Y:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
SET DRIVE=Z:\
IF EXIST %DRIVE%%ANCHOR% GOTO HAVEMK
GOTO NOKEY


:HAVEMK
IF EXIST %DRIVE%%INSTALLPATH% GOTO MKOKAY
GOTO MKBAD 

:MKOKAY
ECHO Diagnostics Key found at %DRIVE%
ECHO Press any key to install the files.
PAUSE > nul
cls

ECHO Installing files...
COPY %AIP46MCH%  %DRIVE%%INSTALLPATH%\aip46mch_%AIP46MCHECVER%.hex
IF ERRORLEVEL 1 GOTO ERRORCP
COPY %AIP46MCD%  %DRIVE%%INSTALLPATH%\aip46mcd_%AIP46MCDECVER%.hex
IF ERRORLEVEL 1 GOTO ERRORCP
COPY %AIP46TI8%  %DRIVE%%INSTALLPATH%\aip46ti8_%AIP46TI8ECVER%.hex
IF ERRORLEVEL 1 GOTO ERRORCP
COPY %AIP46V4%  %DRIVE%%INSTALLPATH%\aip46v4_%AIP46V4ECVER%%AIP46V4ECREV%.hex
IF ERRORLEVEL 1 GOTO ERRORCP
IF ERRORLEVEL 0 GOTO CPOKAY


:ERRORCP

ECHO ERROR installing the files. Plug your key and hit ENTER to try again.
PAUSE > nul
GOTO FINDMK


:CPOKAY
cls
ECHO Files installed correctly!
ECHO. 
ECHO To update your printer click the Browse button in the Microcode Update panel
ECHO and select one of the following files:
ECHO.
ECHO aip46mch_%AIP46MCHECVER%.hex
ECHO aip46mcd_%AIP46MCDECVER%.hex
ECHO aip46ti8_%AIP46TI8ECVER%.hex
ECHO aip46v4_%AIP46V4ECVER%%AIP46V4ECREV%.hex
ECHO. 
ECHO Please remove your key and hit ENTER to exit.
PAUSE > nul
GOTO END

:NOKEY
ECHO The Diagnostics key was not found. Plug your key and hit ENTER to try again.
PAUSE > nul
GOTO FINDMK

:MKBAD
ECHO Diagnostics Key found at %DRIVE% but it appers to be corrupted.
ECHO Please verify and try again.
ECHO.
ECHO Remove your key and hit ENTER to exit.
PAUSE > nul
GOTO END


REM ################## END OF FILE ##################      
:END

